Forum Debianizzati

Condividi contenuti
Aggiornato: 21 min 36 sec fa

Re: merge-it

Sab, 28/10/2017 - 20:16
dring ha scritto:oggi al Linux Day
Di quale sede?
dring ha scritto:Occuperemo una sede universitaria, a Torino, e non ci faremo mancare le aule
Avevo immaginato una cosa del genere, dove altro se no
dring ha scritto:Mi sembra una iniziativa interessante.
Lo è (anche se per quanto mi riguarda penso già che non ci sarò, troppo incasinato ultimamente per farsi qualche giorno di vacanza)
Categorie: Forum Debianizzati

Re: scaricare video con wget

Sab, 28/10/2017 - 19:47
marcomg ha scritto:Leggi i sorgenti e vedi cosa fa
Ciao, ho tentato ma è oltre le mie capacità.
Ho trovato questi script in perl (lo allego) che non richiede librerie python.
Ho dovuto installare curl ... mi sembra più accessibile.

rinominare i file come indicato nello script (se si vuole cambiare i permessi)
bisogna digitare perl "nome script" "url" - per le spiegazioni basta leggero lo script

uno script usa curl, un altro wget

... ovviamente non li capisco ....
buona domenica
Categorie: Forum Debianizzati

Re: Tabella Software

Sab, 28/10/2017 - 19:35
@Selky
Se già non lo conosci, questo sito è interessante ed assomiglia al lavoro che stai facendo:
https://prism-break.org/it/categories/gnu-linux/
Categorie: Forum Debianizzati

Re: merge-it

Sab, 28/10/2017 - 19:29
bah, è stato distribuito un volantino, pare della Linux society, oggi al Linux Day.
"Occuperemo una sede universitaria, a Torino, e non ci faremo mancare le aule"
Mi sembra una iniziativa interessante.
Categorie: Forum Debianizzati

Re: Mancato caricamento GLX dopo aggiornamento

Sab, 28/10/2017 - 19:13
Nel caso sia utile ecco il risultato del comando
ls -al /usr/lib/i386-linux-gnu/libGL*
-rw-r--r-- 1 root root 459784 lug 20 05:27 /usr/lib/i386-linux-gnu/libGLdispatch.so.0
lrwxrwxrwx 1 root root     18 set 28 22:04 /usr/lib/i386-linux-gnu/libGLESv2.so.2 -> libGLESv2.so.2.0.0
-rw-r--r-- 1 root root  38420 set 28 22:04 /usr/lib/i386-linux-gnu/libGLESv2.so.2.0.0
lrwxrwxrwx 1 root root     16 ago 24 21:30 /usr/lib/i386-linux-gnu/libGLEW.so.2.0 -> libGLEW.so.2.0.0
-rw-r--r-- 1 root root 501120 ago 24 21:30 /usr/lib/i386-linux-gnu/libGLEW.so.2.0.0
lrwxrwxrwx 1 root root     14 set 28 22:04 /usr/lib/i386-linux-gnu/libGL.so.1 -> libGL.so.1.0.0
-rw-r--r-- 1 root root 392636 set 28 22:04 /usr/lib/i386-linux-gnu/libGL.so.1.0.0
lrwxrwxrwx 1 root root     15 set 13  2015 /usr/lib/i386-linux-gnu/libGLU.so.1 -> libGLU.so.1.3.1
-rw-r--r-- 1 root root 497284 set 13  2015 /usr/lib/i386-linux-gnu/libGLU.so.1.3.1
lrwxrwxrwx 1 root root     20 ott 20 11:59 /usr/lib/i386-linux-gnu/libGLX_mesa.so.0 -> libGLX_mesa.so.0.0.0
-rw-r--r-- 1 root root 465372 ott 20 11:59 /usr/lib/i386-linux-gnu/libGLX_mesa.so.0.0.0
lrwxrwxrwx 1 root root     15 set 28 22:04 /usr/lib/i386-linux-gnu/libGLX.so.0 -> libGLX.so.0.0.0
-rw-r--r-- 1 root root  73184 set 28 22:04 /usr/lib/i386-linux-gnu/libGLX.so.0.0.0


Non so più che pesci pigliare
Categorie: Forum Debianizzati

Re: Mancato caricamento GLX dopo aggiornamento

Sab, 28/10/2017 - 19:11
gio14 ha scritto:Di solito succede se usi dei driver proprietari della scheda video (a me succede con Nvidia) in pratica quando aggiorna cancella il link che punta a i driver di Nvidia, o reinstalli i driver della scheda video o ricrei i link

Grazie GIO14 per l'attenzione, cerco di darvi qualche informazione in più: attualmente ho in uso il driver open ATI "radeon" che viene caricato all'avvio del PC

lshw -c display
  *-display                 
       description: VGA compatible controller
       product: RV410/M26 [Mobility Radeon X700]
       vendor: Advanced Micro Devices, Inc. [AMD/ATI]
       physical id: 0
       bus info: pci@0000:01:00.0
       version: 00
       width: 32 bits
       clock: 33MHz
       capabilities: pm pciexpress msi vga_controller bus_master cap_list rom
       configuration: driver=radeon latency=0
       resources: irq:27 memory:90000000-97ffffff ioport:c000(size=256) memory:c0000000-c000ffff memory:c0000-dffff

Ho appena terminato un nuovo tentativo reinstallando i driver open seguendo la guida https://wiki.debian.org/it/AtiHowTo purtroppo senza successo.

E' ancora presente il messaggio d'errore in "/var/log/Xorg.0.log"
[    50.506] (II) LoadModule: "glx"
[    50.660] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[    51.319] (EE) Failed to load /usr/lib/xorg/modules/extensions/libglx.so: /usr/lib/i386-linux-gnu/libGL.so.1: undefined symbol: _glapi_tls_Current
[    51.320] (II) UnloadModule: "glx"
[    51.320] (II) Unloading glx
[    51.320] (EE) Failed to load module "glx" (loader failed, 7)
[    51.320] (II) Applying OutputClass "Radeon" to /dev/dri/card0
[    51.321]    loading driver: radeon
[    51.321] (==) Matched radeon as autoconfigured driver 0
[    51.321] (==) Matched ati as autoconfigured driver 1
[    51.321] (==) Matched ati as autoconfigured driver 2
[    51.321] (==) Matched modesetting as autoconfigured driver 3
[    51.321] (==) Matched fbdev as autoconfigured driver 4
[    51.321] (==) Matched vesa as autoconfigured driver 5
[    51.321] (==) Assigned the driver to the xf86ConfigLayout
[    51.321] (II) LoadModule: "radeon"
[    51.321] (II) Loading /usr/lib/xorg/modules/drivers/radeon_drv.so
[    51.539] (II) Module radeon: vendor="X.Org Foundation"
[    51.539]    compiled for 1.19.3, module version = 7.10.0
[    51.539]    Module class: X.Org Video Driver
[    51.539]    ABI class: X.Org Video Driver, version 23.0
[    51.539] (II) LoadModule: "ati"
[    51.540] (II) Loading /usr/lib/xorg/modules/drivers/ati_drv.so
[    51.565] (II) Module ati: vendor="X.Org Foundation"
[    51.565]    compiled for 1.19.3, module version = 7.10.0
[    51.565]    Module class: X.Org Video Driver
[    51.565]    ABI class: X.Org Video Driver, version 23.0
[    51.565] (II) LoadModule: "modesetting"
[    51.565] (II) Loading /usr/lib/xorg/modules/drivers/modesetting_drv.so
[    51.632] (II) Module modesetting: vendor="X.Org Foundation"
[    51.633]    compiled for 1.19.5, module version = 1.19.5
[    51.633]    Module class: X.Org Video Driver
[    51.633]    ABI class: X.Org Video Driver, version 23.0
[    51.633] (II) LoadModule: "fbdev"
[    51.633] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
[    52.037] (II) Module fbdev: vendor="X.Org Foundation"
[    53.659]    compiled for 1.19.0, module version = 0.4.4
[    53.659]    Module class: X.Org Video Driver
[    53.659]    ABI class: X.Org Video Driver, version 23.0
[    53.659] (II) LoadModule: "vesa"
[    53.659] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[    53.763] (II) Module vesa: vendor="X.Org Foundation"
[    53.763]    compiled for 1.19.0, module version = 2.3.4
[    53.763]    Module class: X.Org Video Driver
[    53.763]    ABI class: X.Org Video Driver, version 23.0
[    53.763] (II) RADEON: Driver for ATI/AMD Radeon chipsets:
Categorie: Forum Debianizzati

Re: merge-it

Sab, 28/10/2017 - 18:26
Ma Torino dove? E in che giorni? Ho visto il sito sarà la rimbambitaggine pomeridiana, ma sembra tutto da definirsi, sbaglio? E soprattutto non ho capito chi è l'organizzatore ahaha.
Categorie: Forum Debianizzati

merge-it

Sab, 28/10/2017 - 18:18
Ma Debianizzati parteciperà a questa iniziativa sulle community di software libero a marzo 2018 a Torino?
https://merge-it.net
Categorie: Forum Debianizzati

Re: MATE system monitor

Sab, 28/10/2017 - 18:14
Selky ha scritto:@dring
nel senso che Stretch ora è alla 9.2 e non viene riportato (c'è solo 9) mentre per Jessie sì?
sì, proprio così.
Categorie: Forum Debianizzati

Re: Dopo aggiornamento libre office non va(Risolto)

Sab, 28/10/2017 - 17:50
Grazie Aki risolto seguendo la discussione al tuo link !!!!
Categorie: Forum Debianizzati

Dopo aggiornamento libre office non va(Risolto)

Sab, 28/10/2017 - 17:11
Ciao a tutti
ho fatto aggiornamento da relese 8 a 9 di Debian, ora se provo a lanciare libre office 5 cioè a aprire un .odt lo carica al 90% poi pero non esce la schermata del file perfavore sapreste dirmi come risolvere il problema ?
grazie
Categorie: Forum Debianizzati

Re: Difficoltà in aggiornamento

Sab, 28/10/2017 - 16:56
Ho visto ottima guida non ci avevo pensato in fase di aggiornamento
Categorie: Forum Debianizzati

Re: Mancato caricamento GLX dopo aggiornamento

Sab, 28/10/2017 - 00:33
Di solito succede se usi dei driver proprietari della scheda video (a me succede con Nvidia) in pratica quando aggiorna cancella il link che punta a i driver di Nvidia, o reinstalli i driver della scheda video o ricrei i link
Categorie: Forum Debianizzati

Re: vecchio pc ogni tanto segmentation fault

Ven, 27/10/2017 - 23:55
no, ci girano tranquillamente programmi compilati a 64 bit
Categorie: Forum Debianizzati

Re: vecchio pc ogni tanto segmentation fault

Ven, 27/10/2017 - 21:16
Scusa la banalità, non è che il vecchio PC sia a 32 bit?
Categorie: Forum Debianizzati

Re: GRUB2 Boot da sd

Ven, 27/10/2017 - 13:26
A quanto ho capito, se il bios non vede la scheda sd non la vede nemmeno il grub, quindi giustamente come mi segnalava lui dovevo caricare il kernel prima.

Le voci generate dal grub non funzionavano xke non trovavano la sd allora
ho creato sull'hd /etc/grub.d/15_custom_sd ci ho copiato la voce generata dal grub e poi ho modificato la parte

   if [ x$feature_platform_search_hint = xy ]; then
     search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1  78ba0665-ce05-4d14-bf17-c60be4386388
   else
     search --no-floppy --fs-uuid --set=root 78ba0665-ce05-4d14-bf17-c60be4386388
   fi

Andandogli a dire di caricare il kernel dall'hd quindi ho cambiato l'uuid da quello della scheda a quello dell'hd, alla fine il risultato e questo
### BEGIN /etc/grub.d/15_custom_sd ###
# This file provides an easy way to add custom menu entries.  Simply type the
# menu entries you want to add after this comment.  Be careful not to change
# the 'exec tail' line above.
menuentry 'SD card GNU/Linux 8.7 (Hydrogen) (8.7) (on /dev/sdb1)' --class gnu-linux --class gnu --class os $menuentry_id_option 'osprober-gnulinux-simple-78ba0665-ce05-4d14-bf17-c60be4386388' {
   insmod part_msdos
   insmod ext2
   set root='hd1,msdos1'
   if [ x$feature_platform_search_hint = xy ]; then
     search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1  98f42eb4-9a57-4b3b-b9ef-0d8fa7904a98
   else
     search --no-floppy --fs-uuid --set=root 98f42eb4-9a57-4b3b-b9ef-0d8fa7904a98
   fi
   linux /boot/vmlinuz-3.16.0-4-686-pae root=UUID=78ba0665-ce05-4d14-bf17-c60be4386388 ro initrd=/install/initrd.gz quiet
   initrd /boot/initrd.img-3.16.0-4-686-pae
}
### END /etc/grub.d/15_custom_sd ###

poi
upgrade-grub

E ora funziona, l'unico dubbio e se ora mi aggiorna il kernel normalmente o se devo aggiornare sia hd che sd... ma e un problema secondario dato che lo uso solo per vedere film scaricati a letto su un TV/monitor vecchio (senza usb) quindi, una volta che funziona, posso anche non aggiornarlo mai
Categorie: Forum Debianizzati

systemd - swap

Ven, 27/10/2017 - 11:20
ho una partizione di swap che non risulta possibile disattivare con l'opzione noauto in fstab
UUID=cb9b02b8-964f-43fb-b373-d83d10a9dfc5  none  swap  sw,noauto  0  0

potrei riformattarla con un altro filesystem ma vorrei capire il meccanismo di systemd

peraltro
systemctl --type swap --all

restituisce
UNIT                          LOAD   ACTIVE SUB    DESCRIPTION
dev-disk-by\x2did-ata\x2dST500LM012_HN\x2dM500MBB_S2YBJ9BD412049\x2dpart8.swap loaded active active /dev/disk/by-id/ata-ST
dev-disk-by\x2did-wwn\x2d0x50004cf20a16861f\x2dpart8.swap loaded active active /dev/disk/by-id/wwn-0x50004cf
dev-disk-by\x2dpartuuid-810602bc\x2df7ac\x2d4146\x2dbaf1\x2d0a0a8bf7473d.swap loaded active active /dev/disk/by-partuuid/8
dev-disk-by\x2dpath-pci\x2d0000:00:1f.2\x2data\x2d1\x2dpart8.swap loaded active active /dev/disk/by-path/pci-0000:00
dev-disk-by\x2duuid-cb9b02b8\x2d964f\x2d43fb\x2db373\x2dd83d10a9dfc5.swap loaded active active /dev/disk/by-uuid/cb9b02b8-
dev-sda8.swap                 loaded active active Swap Partition

e mi chiedevo se è corretto
Categorie: Forum Debianizzati

Re: vecchio pc ogni tanto segmentation fault

Ven, 27/10/2017 - 11:04
ci sono limiti per i kernel troppo vecchi, comunque quando lo installi se ci sono problemi ti vengono segnalati
Categorie: Forum Debianizzati

Re: vecchio pc ogni tanto segmentation fault

Ven, 27/10/2017 - 04:12
ma eventualmente, potrei installare per esempio il kernel 2.6 su debian 9?
Categorie: Forum Debianizzati